/**
 * @file
 * Dashboard editing UI functionality.
 */

(function ($, window, Drupal, drupalSettings) {

  'use strict';
  /**
   * Drupal behavior to trigger ajax when CKEDITOR is changed.
   *
   * @type {{attach: Function}}
   */
  Drupal.behaviors.contentReadability = {
    attach: function(context, settings) {

      $('body', context).once('content_readability').each(function () {
        if (typeof CKEDITOR !== "undefined") {
          CKEDITOR.on('instanceReady', function (ev) {
            var editor = ev.editor;

            // Check if this the instance we want to track.
            editor.on('change', function () {
              // ajax call to add additional dashboard items.
              let body = CKEDITOR.instances['edit-body-0-value'].getData()

              $.post('/content-readability/update-score', {data: body}, function(data){

                $('.content-readability-score').html(data.contentReadabilityScore);
                $('#automatedReadabilityIndex').html(data.automatedReadabilityIndex);
                $('#averageSyllablesPerWord').html(data.averageSyllablesPerWord);
                $('#averageWordsPerSentence').html(data.averageWordsPerSentence);
                $('#colemanLiauIndex').html(data.colemanLiauIndex);
                $('#contentReadabilityScore').html(data.contentReadabilityScore);
                $('#daleChallDifficultWordCount').html(data.daleChallDifficultWordCount);
                $('#daleChallReadabilityScore').html(data.daleChallReadabilityScore);
                $('#fleschKincaidGradeLevel').html(data.fleschKincaidGradeLevel);
                $('#fleschKincaidReadingEase').html(data.fleschKincaidReadingEase);
                $('#gunningFogScore').html(data.gunningFogScore);
                $('#letterCount').html(data.letterCount);
                $('#percentageWordsWithThreeSyllables').html(data.percentageWordsWithThreeSyllables);
                $('#sentenceCount').html(data.sentenceCount);
                $('#smogIndex').html(data.smogIndex);
                $('#spacheDifficultWordCount').html(data.spacheDifficultWordCount);
                $('#spacheReadabilityScore').html(data.spacheReadabilityScore);
                $('#totalSyllables').html(data.totalSyllables);
                $('#wordCount').html(data.wordCount);
                $('#wordsWithThreeSyllables').html(data.wordsWithThreeSyllables);

              });
            });
          });
        }
      });
    }
  };
})(jQuery, this, Drupal, drupalSettings);
